apt: pkgCache::RlsFileIterator Class Reference

apt 3.3.2 commandline package manager

Public Member Functions | List of all members
pkgCache::RlsFileIterator Class Reference
Inheritance diagram for pkgCache::RlsFileIterator:

## Public Member Functions
constexpr ReleaseFile * | OwnerPointer () const noexcept
RlsFileIterator & | operator++ ()
RlsFileIterator | operator++ (int)
constexpr const char * | FileName () const noexcept
constexpr const char * | Archive () const noexcept
constexpr const char * | Version () const noexcept
constexpr const char * | Origin () const noexcept
constexpr const char * | Codename () const noexcept
constexpr const char * | Label () const noexcept
constexpr const char * | Site () const noexcept
constexpr bool | Flagged (pkgCache::Flag::ReleaseFileFlags const flag) const noexcept
std::string | RelStr ()
constexpr | RlsFileIterator (pkgCache &Owner) noexcept
constexpr | RlsFileIterator (pkgCache &Owner, ReleaseFile *Trg) noexcept
Public Member Functions inherited from pkgCache::Iterator< ReleaseFile, RlsFileIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const RlsFileIterator &B) const noexcept
constexpr bool | operator!= (const RlsFileIterator &B) const noexcept
constexpr ReleaseFile * | operator-> () noexcept
constexpr | operator ReleaseFile * () noexcept
constexpr | operator ReleaseFile const * () const noexcept
constexpr ReleaseFile & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< ReleaseFile > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< ReleaseFile, RlsFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< ReleaseFile, RlsFileIterator >
ReleaseFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc